/*
 * Program G_Cercle V0.1 or higher
 * (C) by Benjamin Drieu (e-mail: drieu@bocal.cs.univ-paris8.fr)
 * Nov 26rd 1997
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public Licences as published
 * by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will entertaining,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILTY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Publis License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.
 * 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#include <math.h>
#include "grafik.h"

void 
cercle (int r) {
  int x, y=0;

  x = (int) (0.5 + sqrt ((r*r) - (y*y)));

  for (y=0; y<=x; y++)
    {
      x = (int) (0.5 + sqrt ((r*r) - (y*y)));
      G_dessinerPoint (x,y);
    }
}



void
main (int argc, char **argv)
{
  int i;

  G_init (argv[1]);
  G_ouvrirFenetre ("Exemple de dessin trivial", 600, 400);

  for (i=5; i<600; i+=2)
    {
      cercle (i);
    }

  G_executer (); 
}

