#include "grafik.h"

int
G_changerCouleur (String G_Couleur)
{
  XColor G_tmpColor;
  int G_resultat;

  if (G_Couleur == NULL)
    {
      perror ("Couleur invalide");
      return G_Erreur;
    }

  /* On alloue la couleur passee en argument */
  G_resultat=XAllocNamedColor (G_currentFenetre->dpy,
			       DefaultColormap(G_currentFenetre->dpy,
					       DefaultScreen(G_currentFenetre->dpy)),
			       G_Couleur,
			       &G_tmpColor,
			       &G_tmpColor);
  if (G_resultat == 0)
    {
      perror ("Allocation impossible\n");
      return G_Erreur;
    }
  
  
  /* On modifie le GC de la fenetre */
  XSetForeground (G_currentFenetre->dpy,
		  G_currentFenetre->gc,
		  G_tmpColor.pixel);

  /* Et on modifie le nom de la couleur de la fenetre */
  strcpy (G_currentFenetre->couleur, G_Couleur);

  return G_Succes;
}



int
G_changerCouleurRGB (unsigned short G_r, unsigned short G_g, unsigned short G_b)
{
  XColor G_tmpColor;
  int G_resultat;
  
  if ((G_r>255) ||
      (G_g>255) ||
      (G_b>255))
    {
      perror ("Mauvaises valeurs de couleurs");
      return G_Erreur;
    }

  /* Heu... la je ne sais pas trop pourquoi je dois multiplier par
     256, mais au moins ca marche */
  G_tmpColor.red=G_r*256;
  G_tmpColor.green=G_g*256;
  G_tmpColor.blue=G_b*256;

  /* On alloue la couleur passee en argument */
  G_resultat=XAllocColor (G_currentFenetre->dpy,
			  DefaultColormap(G_currentFenetre->dpy,
					  DefaultScreen(G_currentFenetre->dpy)),
			  &G_tmpColor);
  if (G_resultat == 0)
    {
      perror ("Allocation impossible\n");
      return G_Erreur;
    }
  
  /* On modifie le GC de la fenetre */
  XSetForeground (G_currentFenetre->dpy,
		  G_currentFenetre->gc,
		  G_tmpColor.pixel);

  /* Et on modifie le nom de la couleur de la fenetre */
  sprintf (G_currentFenetre->couleur, "#%x%x%x", G_tmpColor.red/256,
	   G_tmpColor.green/256, G_tmpColor.blue/256); 

  return G_Succes;
}
