#include "grafik.h"


void
G_dessinerPoint (int G_X, int G_Y)
{
  /* Ici je dessine une ligne pour que l'epaisseur soit conservee:
     XDrawPoint ne s'occupe pas de l'epaiseur du GC */
  if (G_currentFenetre->xgcv.line_width == 0)
    {
      return;
    }
  XDrawLine (G_currentFenetre->dpy, G_currentFenetre->win,
	     G_currentFenetre->gc, G_X0+G_X, G_Y0+G_Y, G_X0+G_X+1, G_Y0+G_Y+1) ;
}



void
G_dessiner4Points (int G_X, int G_Y)
{
  /* Ici je dessine une ligne pour que l'epaisseur soit conservee:
     XDrawPoint ne s'occupe pas de l'epaiseur du GC */
  if (G_currentFenetre->xgcv.line_width == 0)
    {
      return;
    }
  XDrawLine (G_currentFenetre->dpy, G_currentFenetre->win,
	     G_currentFenetre->gc, G_X0+G_X, G_Y0+G_Y, G_X0+G_X, G_Y0+G_Y) ;
  XDrawLine (G_currentFenetre->dpy, G_currentFenetre->win,
	     G_currentFenetre->gc, G_Y0+G_Y, G_X0-G_X, G_Y0+G_Y, G_X0-G_X);
  XDrawLine (G_currentFenetre->dpy, G_currentFenetre->win,
	     G_currentFenetre->gc, G_Y0-G_Y, G_X0+G_X, G_Y0-G_Y, G_X0+G_X);
  XDrawLine (G_currentFenetre->dpy, G_currentFenetre->win,
	     G_currentFenetre->gc, G_X0-G_X, G_Y0-G_Y, G_X0-G_X, G_Y0-G_Y) ;
}



void
G_dessinerLigne (int G_startX, int G_startY, int G_endX, int G_endY)
{
  if (G_currentFenetre->xgcv.line_width == 0)
    {
      return;
    }
  XDrawLine (G_currentFenetre->dpy, G_currentFenetre->win, G_currentFenetre->gc,
	     G_X0+G_startX, G_Y0+G_startY, G_X0+G_endX, G_Y0+G_endY);
}



void
G_dessinerTrianglePlein (int G_X1, int G_Y1, 
			 int G_X2, int G_Y2, 
			 int G_X3, int G_Y3)
{
  XPoint G_tmpPoints[3]={
    {G_X0+G_X1,G_Y0+G_Y1},
    {G_X0+G_X2,G_Y0+G_Y2},
    {G_X0+G_X3,G_Y0+G_Y3},
  };
  
  if (G_currentFenetre->xgcv.line_width == 0)
    {
      return;
    }
  XFillPolygon (G_currentFenetre->dpy, G_currentFenetre->win,
		G_currentFenetre->gc, G_tmpPoints, 3, 0, 0);
}



void
G_dessinerTriangle (int G_X1, int G_Y1, 
		    int G_X2, int G_Y2, 
		    int G_X3, int G_Y3)
{
  XPoint G_tmpPoints[3]={
    {G_X0+G_X1,G_Y0+G_Y1},
    {G_X0+G_X2,G_Y0+G_Y2},
    {G_X0+G_X3,G_Y0+G_Y3},
  };
  
  if (G_currentFenetre->xgcv.line_width == 0)
    {
      return;
    }
  XDrawLines (G_currentFenetre->dpy, G_currentFenetre->win,
	      G_currentFenetre->gc, G_tmpPoints, 3, 0);
}



void
G_dessinerRectanglePlein (int G_X1, int G_Y1, 
		    int G_X2, int G_Y2)
{
  if (G_currentFenetre->xgcv.line_width == 0)
    {
      return;
    }
  XFillRectangle (G_currentFenetre->dpy, G_currentFenetre->win,
		  G_currentFenetre->gc, 
		  G_X0+G_X1, G_Y0+G_Y1, G_X0+G_X2, G_Y0+G_Y2);
}



void
G_dessinerRectangle (int G_X1, int G_Y1, 
		    int G_X2, int G_Y2)
{
  if (G_currentFenetre->xgcv.line_width == 0)
    {
      return;
    }
  XDrawRectangle (G_currentFenetre->dpy, G_currentFenetre->win,
		  G_currentFenetre->gc, 
		  G_X0+G_X1, G_Y0+G_Y1, G_X0+G_X2, G_Y0+G_Y2);
}



void
G_dessinerCerclePlein (int G_X1, int G_Y1, 
		       int G_W, int G_H)
{
  XFillArc (G_currentFenetre->dpy, G_currentFenetre->win,
	    G_currentFenetre->gc, G_X1, G_Y1, G_W, G_H, 0, 360*64); 
}



void
G_dessinerCercle (int G_X1, int G_Y1, 
		  int G_W, int G_H)
{
  XDrawArc (G_currentFenetre->dpy, G_currentFenetre->win,
	    G_currentFenetre->gc, G_X1, G_Y1, G_W, G_H, 0, 360*64); 
}



void
G_effacerFenetre ()
{
  XClearWindow (G_currentFenetre->dpy, G_currentFenetre->win);
}



